classification
Title: Mention ``frame.f_trace`` in :func:`sys.settrace` docs.
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: cool-RR, docs@python, miss-islington, ncoghlan, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2019-08-24 10:00 by cool-RR, last changed 2019-09-20 15:26 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15439 merged cool-RR, 2019-08-24 10:00
PR 16296 merged miss-islington, 2019-09-20 15:19
PR 16297 merged miss-islington, 2019-09-20 15:19
Messages (6)
msg351293 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-09-07 07:39
AFAIK setting frame.f_trace *instead* of calling sys.settrace() does not work. You need to call sys.settrace() to enable tracing.
msg351295 - (view) Author: Ram Rachum (cool-RR) * Date: 2019-09-07 07:56
Serhiy: I confirmed what you're saying and corrected the documentation. Could you please review?
msg352855 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2019-09-20 15:19
New changeset 9c2682efc69568e1b42a0c1759489d6f2e3b30ea by Nick Coghlan (Ram Rachum) in branch 'master':
bpo-37937: Mention frame.f_trace in sys.settrace docs (GH-15439)
https://github.com/python/cpython/commit/9c2682efc69568e1b42a0c1759489d6f2e3b30ea
msg352858 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2019-09-20 15:22
Thanks for the PR, Ram, and the initial review, Serhiy.
msg352860 - (view) Author: miss-islington (miss-islington) Date: 2019-09-20 15:25
New changeset fd4f28d894ee55d7ee1625c726c1859fcd1e2249 by Miss Islington (bot) in branch '3.7':
bpo-37937: Mention frame.f_trace in sys.settrace docs (GH-15439)
https://github.com/python/cpython/commit/fd4f28d894ee55d7ee1625c726c1859fcd1e2249
msg352861 - (view) Author: miss-islington (miss-islington) Date: 2019-09-20 15:26
New changeset c410390e89071c4a4c2a437a227c14274add4116 by Miss Islington (bot) in branch '3.8':
bpo-37937: Mention frame.f_trace in sys.settrace docs (GH-15439)
https://github.com/python/cpython/commit/c410390e89071c4a4c2a437a227c14274add4116
History
Date User Action Args
2019-09-20 15:26:30miss-islingtonsetmessages: + msg352861
2019-09-20 15:25:15miss-islingtonsetnosy: + miss-islington
messages: + msg352860
2019-09-20 15:22:01ncoghlansetstatus: open -> closed
versions: + Python 3.7, Python 3.8
messages: + msg352858

resolution: fixed
stage: patch review -> resolved
2019-09-20 15:19:26miss-islingtonsetpull_requests: + pull_request15883
2019-09-20 15:19:17miss-islingtonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request15882
2019-09-20 15:19:14ncoghlansetnosy: + ncoghlan
messages: + msg352855
2019-09-07 07:56:03cool-RRsetmessages: + msg351295
2019-09-07 07:39:22serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg351293
2019-08-24 10:00:35cool-RRcreate